<?if(!defined('INDEX')) die;

$q=parse_url($_SERVER['REQUEST_URI'])["query"];
parse_str($q,$_GET);

$imp=$_GET['i'];
$z=intval($_GET['z']);
$b=intval($_GET['b']);

if(!$z|| !$b || !preg_match("/^([0-9a-f]{32})$/", $imp))
	die;

error_log("imp=$imp||z=$z||b=$b\n",3,"go.log");
header("location: http://gillette.themag.com.ua/gl/?utm_source=$z&utm_campaign=$b");
die;
